Name: libmlx4
Version: 1.0.1
Release: 2%{?dist}
Summary: Mellanox ConnectX InfiniBand HCA Userspace Driver
Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/%{name}/%{name}-%{version}.tar.gz
Source1: libmlx4-modprobe.conf
Source2: libmlx4-mlx4.conf
Source3: libmlx4-setup-mlx4.awk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibverbs-devel >= 1.1.2-4.SEL5
%ifnarch ia64
BuildRequires: valgrind
%endif
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
Obsoletes: %{name}-devel
%description
Mellanox hardware driver for use with libibverbs user space verbs access
library.  This driver supports Mellanox ConnectX architecture cards.

%package static
Summary: Static version of the libmlx4 driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description static
Static version of libmlx4 that may be linked directly to an
application.

%prep
%setup -q

%build
%ifnarch ia64
%configure --with-valgrind
%else
%configure
%endif
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -D -m 644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/modprobe.d/libmlx4.conf
install -D -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/mlx4.conf
install -D -m 644 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/ofed/setup-mlx4.awk
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so*
%{_sysconfdir}/libibverbs.d/*.driver
%{_sysconfdir}/modprobe.d/libmlx4.conf
%config(noreplace) %{_sysconfdir}/ofed/mlx4.conf
%{_sysconfdir}/ofed/setup-mlx4.awk
%doc AUTHORS COPYING README

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Wed Sep 9 2009 Anatoly Metetes <anatolym@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.0.1-2.el5
- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
- Related: bz506258

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 1.0.1-1.el5
- Update to upstream bug fix release
- Compile against non-XRC libibverbs
- Enable valgrind annotations
- Related: bz506258, bz504284
- Resolves: bz505553

* Wed Apr 15 2009 Doug Ledford <dledford@redhat.com> - 1.0-5.el5.xrc
- Add xrc support from OFED 1.4.1-rc3
- Add support for setting port types at core module load time
- Related: bz459652

* Wed Sep 17 2008 Doug Ledford <dledford@redhat.com> - 1.0-4
- Bump and rebuild against latest libibverbs
- Resolves: bz451457

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.0-3
- Add a modprobe conf file so that the mlx4 IB driver will get loaded after
  the core driver is loaded
- Related: bz428197

* Thu Feb 14 2008 Doug Ledford <dledford@redhat.com> - 1.0-2
- Obsolete the old -devel package
- Related: bz432765

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.0-1
- Initial import of driver into CVS.  Steal spec file from existing libmthca.
- Related: bz428197

